Drugs Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/drugs/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/drugs/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/drugs/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_to": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"sequence_variant": "<string>",
"gene_symbol": [
"<string>"
],
"pmid": "<string>",
"study_parameters": [
{
"study_parameter_id": "<string>",
"study_type": "<string>",
"study_cases": "<string>",
"study_controls": "<string>",
"p-value": "<string>",
"biogeographical_groups": "<string>"
}
],
"phenotype_categories": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Drugs Variants
Retrieve variants associated with the query drugs from pharmGKB.
Set verbose = true to retrieve full info on the variants.
Either drug_id or drug_name is required.
Example: drug_id = PA448497,
drug_name = aspirin,
pmid = 20824505,
phenotype_categories = Toxicity.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Drugs Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/drugs/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/drugs/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/drugs/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_to": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"sequence_variant": "<string>",
"gene_symbol": [
"<string>"
],
"pmid": "<string>",
"study_parameters": [
{
"study_parameter_id": "<string>",
"study_type": "<string>",
"study_cases": "<string>",
"study_controls": "<string>",
"p-value": "<string>",
"biogeographical_groups": "<string>"
}
],
"phenotype_categories": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Dosage, Efficacy, Metabolism/PK, Other, PD, Toxicity Available options:
Homo sapiens Available options:
true, false